/// <reference types="react" />
import { type BadgeColor } from '../Badge';
import { type Theme } from '../theme/types';
import { type TagColor, type TagSize, type TagVariant } from './types';
type StyledTagProps = {
    color: TagColor;
    variant: TagVariant;
    size: TagSize;
    disabled?: boolean;
};
type StyledTagThemeProps = StyledTagProps & {
    theme: Theme;
};
export declare const getBadgeColor: ({ tagColor }: {
    tagColor?: TagColor | undefined;
}) => BadgeColor;
export declare const getDeleteIconColor: ({ variant, color, theme, }: Omit<StyledTagThemeProps, 'disabled' | 'size'>) => string;
export declare const LabelContainer: import("@emotion/styled/dist/declarations/src/types").StyledComponent<Omit<import("../Grid/GridComponent").GridComponentProps, "ref"> & import("react").RefAttributes<HTMLDivElement> & {
    theme?: import("@emotion/react").Theme | undefined;
} & import("../Grid/styles").StyledGridProps & {
    $variant: TagVariant;
}, {}, {}>;
export declare const Label: import("@emotion/styled/dist/declarations/src/types").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLSpanElement>, HTMLSpanElement>, {}>;
export declare const IconWrapper: import("@emotion/styled/dist/declarations/src/types").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLSpanElement>, HTMLSpanElement>, {}>;
export declare const StyledIconButton: import("@emotion/styled/dist/declarations/src/types").StyledComponent<Omit<import("..").WithoutEmotionSpecific<import("@mui/material/Button").ButtonProps>, "color" | "component" | "variant" | "centerRipple" | "disableRipple" | "disableTouchRipple" | "focusRipple" | "TouchRippleProps" | "touchRippleRef" | "disableFocusRipple"> & {
    variant?: "light" | "link" | "text" | "contained" | "outlined" | undefined;
    loading?: boolean | undefined;
    color?: "primary" | "success" | "warning" | "error" | "grey" | undefined;
    component?: import("react").ElementType | undefined;
    selected?: boolean | undefined;
} & Omit<import("react").DetailedHTMLProps<import("react").ButtonHTMLAttributes<HTMLButtonElement>, HTMLButtonElement>, ""> & import("react").RefAttributes<HTMLButtonElement> & {
    theme?: import("@emotion/react").Theme | undefined;
} & {
    $color: TagColor;
    $variant: TagVariant;
    $size: TagSize;
}, {}, {}>;
export declare const Wrapper: import("@emotion/styled/dist/declarations/src/types").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
} & {
    $size: TagSize;
    $variant: TagVariant;
    $color: TagColor;
    $isDisabled?: boolean | undefined;
    $isRemovable?: boolean | undefined;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const LabelWrapper: import("@emotion/styled/dist/declarations/src/types").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLSpanElement>, HTMLSpanElement>, {}>;
export {};
